Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.ws.commons.schema.XmlSchemaException

All Implemented Interfaces:
  java.io.Serializable

    public class XmlSchemaException

extends java.lang.RuntimeException

Returns detailed information about the schema exception.

See Also:
  Serialized Form

Constructor Summary
`XmlSchemaException()` Creates new XmlSchemaException
`XmlSchemaException(java.lang.String message)`
`XmlSchemaException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`int` | `getLineNumer()`
`int` | `getLinePosition()`
`XmlSchemaObject` | `getSourceSchemaObject()`
`java.lang.String` | `getSourceUri()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaException

    public XmlSchemaException()

  Creates new XmlSchemaException

### XmlSchemaException

    public XmlSchemaException(java.lang.String message)

### XmlSchemaException

    public XmlSchemaException(java.lang.String message,
                              java.lang.Throwable cause)

Method Detail

### getLineNumer

    public int getLineNumer()

### getLinePosition

    public int getLinePosition()

### getSourceSchemaObject

    public XmlSchemaObject getSourceSchemaObject()

### getSourceUri

    public java.lang.String getSourceUri()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.